org.fourthline.cling.support.model.item

## Class ImageItem

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item
    - - org.fourthline.cling.support.model.item.ImageItem

- Direct Known Subclasses:
    Photo

      public class ImageItem
      extends Item

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.item.Item

      `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageItem()`
    `ImageItem(Item other)`
    `ImageItem(String id, Container parent, String title, String creator, Res... resource)`
    `ImageItem(String id, String parentID, String title, String creator, Res... resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDate()`
    `String` | `getDescription()`
    `Person` | `getFirstPublisher()`
    `String` | `getFirstRights()`
    `String` | `getLongDescription()`
    `Person[]` | `getPublishers()`
    `String` | `getRating()`
    `String[]` | `getRights()`
    `StorageMedium` | `getStorageMedium()`
    `ImageItem` | `setDate(String date)`
    `ImageItem` | `setDescription(String description)`
    `ImageItem` | `setLongDescription(String description)`
    `ImageItem` | `setPublishers(Person[] publishers)`
    `ImageItem` | `setRating(String rating)`
    `ImageItem` | `setRights(String[] rights)`
    `ImageItem` | `setStorageMedium(StorageMedium storageMedium)`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.Item

      `getRefID, setRefID`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### ImageItem

          public ImageItem()

    - #### ImageItem

          public ImageItem(Item other)

    - #### ImageItem

          public ImageItem(String id,
                           Container parent,
                           String title,
                           String creator,
                           Res... resource)

    - #### ImageItem

          public ImageItem(String id,
                           String parentID,
                           String title,
                           String creator,
                           Res... resource)

  - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public ImageItem setDescription(String description)

    - #### getLongDescription

          public String getLongDescription()

    - #### setLongDescription

          public ImageItem setLongDescription(String description)

    - #### getFirstPublisher

          public Person getFirstPublisher()

    - #### getPublishers

          public Person[] getPublishers()

    - #### setPublishers

          public ImageItem setPublishers(Person[] publishers)

    - #### getStorageMedium

          public StorageMedium getStorageMedium()

    - #### setStorageMedium

          public ImageItem setStorageMedium(StorageMedium storageMedium)

    - #### getRating

          public String getRating()

    - #### setRating

          public ImageItem setRating(String rating)

    - #### getDate

          public String getDate()

    - #### setDate

          public ImageItem setDate(String date)

    - #### getFirstRights

          public String getFirstRights()

    - #### getRights

          public String[] getRights()

    - #### setRights

          public ImageItem setRights(String[] rights)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.